import cmdlib
import es

def load():
	load_training_server_cmd()
	es.server.cmd("exec soccer_mod/training.cfg")

def load_training_server_cmd():
	cmdlib.registerServerCommand("soccer_mod_training_downloads", training_downloads, "Training setting")
	cmdlib.registerServerCommand("soccer_mod_training_model_ball", training_model_ball, "Training setting")

def training_downloads(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_training_downloads_on", 1)
		else:
			es.set("sm_training_downloads_on", 0)
	except ValueError:
		es.set("sm_training_downloads_on", 0)

def training_model_ball(args):
	es.set("sm_training_model_ball", args[0])

def unload_training_server_cmd():
	cmdlib.unregisterServerCommand("soccer_mod_training_downloads")
	cmdlib.unregisterServerCommand("soccer_mod_training_model_ball")

def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/training.cfg")

def unload():
	unload_training_server_cmd()