import es
import popuplib

def load():
	create_popup_commands()

def create_popup_commands():
	popup = popuplib.create("sm_popup_info_commands")
	popup.addline("SOCCER MOD COMMANDS")
	popup.addline(" ")

	value = es.ServerVar("sm_cmd_info")
	line = "- Type %s to open the information menu" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_vote")
	line = "- Type %s to open the vote menu" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_match_stats")
	line = "- Type %s to the stats menu" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_match_stats_rank")
	line = "- Type %s to see your ranking" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_match_start")
	line = "- Type %s to start a match" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_match_pause")
	line = "- Type %s to pause a match" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_match_unpause")
	line = "- Type %s to unpause a match" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_match_stop")
	line = "- Type %s to stop a match" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_shout")
	line = "- Type %s to open the shout commands menu" % (value)
	popup.addline(line)

	value = es.ServerVar("sm_cmd_sprint")
	line = "- Type %s to use sprint" % (value)
	popup.addline(line)

	popup.addline(" ")
	popup.addline("->9. Back")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_commands")
	popup.submenu(2, "sm_popup_info_commands")
	popup.submenu(3, "sm_popup_info_commands")
	popup.submenu(4, "sm_popup_info_commands")
	popup.submenu(5, "sm_popup_info_commands")
	popup.submenu(6, "sm_popup_info_commands")
	popup.submenu(7, "sm_popup_info_commands")
	popup.submenu(8, "sm_popup_info_commands")
	popup.submenu(9, "sm_popup_info")

def delete_popup(name):
	if popuplib.exists(name):
		popuplib.delete(name)

def unload():
	delete_popup("sm_popup_info_commands")